// ==UserScript==
// @include syndicates-online.de/php/rankings
// @name Calculate Fox
// @author Torsten Keil
// @namespace http://www.torsten-keil.net/ 
// @version 1.0.0
// @description Calculates Fox and adds a new column
// ==/UserScript==
document.addEventListener(
    'load',
    function (e) {

	var allElements;

	allElements = document.getElementsByTagName('TR');

	var idxNetworth = 0;
	var idxLand = 0;
	var len = 0;

	for (var j = 0; j < allElements.length; j++)
	{
		el = allElements[j];

		if (el.className) {
			
			if (el.className == 'tableHead') {
				if (el.childNodes.length == 6) {
					idxNetworth = 4;
					idxLand = 5;
					len = 6;
				}
				if (el.childNodes.length == 4) {
					idxNetworth = 2;
					idxLand = 3;
					len = 4;
				}
				foxCell = document.createElement("td");
				foxCell.className = "foxcell";
				foxCell.align = "center";
				foxCell.width = "50";
				foxCell.appendChild(document.createTextNode("Fox"));
				el.appendChild(foxCell);
			} else if (el.className == 'tableInner1' || el.className == 'tableInner2') {
				var elLand = null;
				var elNetworth = null;
				if (el.childNodes.length == 3) {
					// rankings_ally
					elLand = el.childNodes[idxLand - 1].firstChild;
					elNetworth = el.childNodes[idxNetworth - 1].firstChild;
				} else {
					// other :-)
					elLand = el.childNodes[idxLand].firstChild;
					elNetworth = el.childNodes[idxNetworth].firstChild;
				}
				
				if (elLand.firstChild != null) { // for bold lines
					elLand = elLand.firstChild;
				}
				if (elNetworth.firstChild != null) { // for bold lines
					elNetworth = elNetworth.firstChild;
				}
				value = calc(elLand.nodeValue, elNetworth.nodeValue);
				foxValue = document.createElement("td");
				foxValue.className = "foxValue";
				foxValue.align = "center";
				foxValue.width = "50";
				foxValue.appendChild(document.createTextNode(value));
				el.appendChild(foxValue);
			} else {
				if(el.childNodes[0].colSpan == len) {
					el.childNodes[0].colSpan = len + 1;
				}
			}
		}
	}
    },
    false
);

function calc(var1, var2) {
	var1 = removeDot(var1);
	var2 = removeDot(var2);
	ret = Math.round(var2*10/var1);
		if (ret % 10 != 0)
			ret = ret/10;
		else
			ret = ret/10 + ".0";
		ret += "";
		var parts = ret.split(".");
	return parts[0] + "," + parts[1];
}

function removeDot(s)
{
	var j;
	var t = "" + s;
	var sub = t.split('.');
	var erg = "";

	for (j = 0; j < sub.length; j++)
		erg += sub[j];

	return erg;
}